//**********************
// I2C sample
//
// (C)Copyright 2010-2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************
#include <xc.h>
#include <stdio.h>
#include "Config.h"
#include "WAIT.h"
#include "OSC.h"
#include "LCD.h"
#include "I2Ca.h" 
#include "TYPEDEF.h"

#define ADT7410_ADDR    0x90
#define ADT7410_TEMP_H  0x00
#define ADT7410_TEMP_L  0x01
#define ADT7410_STATUS  0x02
#define ADT7410_CONFIG  0x03

int main(void)
{
	char msg[20];
	WORD temp;

	initOSC();	// 32MHz
	initLCD();
	initI2C();	// master mode, standard mode=100KHz

	while(1){
		// to set 16bit resolution with one short mode
		I2C_Send[0] = ADT7410_CONFIG;
		I2C_Send[1] = 0xA0;			// one shot mode
		putsI2C(2, ADT7410_ADDR);	// writing 2 bytes
		waitNms(240);	// wait 240ms

		// to get temperature
		I2C_Send[0] = ADT7410_TEMP_H;
		getsI2C(1, 2, ADT7410_ADDR);	// writing 1 byte, reading 2 bytes
		temp.byte.HB=I2C_Recv[0];
		temp.byte.LB=I2C_Recv[1];

		// to print LCD
		sprintf(msg, "%4dC", temp.s16 / 128);
		locateLCD(0,0);
		printLCD(msg);
		waitNms(1000);	// 1 sec
	}

}

